%define src_ver 0.03
%define languagelocal francais
%define languageeng french
%define languageenglazy French
%define languagecode fr
%define lc_ctype fr_FR

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.03
Release:       1mdk
Group:         System/Internationalization
Source:        aspell-dict-francais-%{src_ver}.tar.gz
URL:           http://dept-info.labri.u-bordeaux.fr/~vanicat/aspell/
Copyright:     GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff. is this right:
#Obsoletes: ispell-fr, ispell-french

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n francais

%build
cp %{_datadir}/aspell/iso8859-1.dat .

mv -f francais.dict words.%{languagelocal}

LC_CTYPE=%{lc_ctype} aspell --lang=%{languagelocal} --data-dir=. \
    create master ./%{languagelocal} < words.%{languagelocal}

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell

install -m 0644 %{languagelocal} $RPM_BUILD_ROOT%{_libdir}/aspell
install -m 0644 %{languagelocal}.dat $RPM_BUILD_ROOT%{_datadir}/aspell

if ls %{languagelocal}_phonet.dat ; then
 install -m 0644 %{languagelocal}_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell
fi

echo "%{_libdir}/aspell/%{languagelocal}" > $RPM_BUILD_ROOT%{_datadir}/pspell/%{languagecode}-aspell.pwli

if [ "%{languagelocal}" != "%{languageeng}" ];then

 cd $RPM_BUILD_ROOT%{_libdir}/aspell
 ln -s %{languagelocal} %{languageeng}
 
 cd $RPM_BUILD_ROOT%{_datadir}/aspell
 ln -s %{languagelocal}.dat %{languageeng}.dat
 
 if ls %{languagelocal}_phonet.dat ; then
  ln -s %{languagelocal}_phonet.dat %{languageeng}_phonet.dat
 fi

fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LISEZMOI COPYING
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-4
- use the French language descriptions shipped with aspell

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated dictionary to 0.03
- changed build procedure
- include .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM

